Bug 494081 - HTML ouputs contain the word "Logo" instead of an image
HTML ouputs contain the word "Logo" instead of an image
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 22:02 EDT by Murray McAllister
Modified: 2015-01-04 17:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-05 19:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2009-04-03 22:02:22 EDT
Description of problem:
PDF works as expected and includes appropriate logos.

Building with "html-en-US" and "html-single-en-US" produces output with the word "Logo" instead of the appropriate logo.

Version-Release number of selected component (if applicable):
publican-0.45-0.el5
publican-redhat-0.19-0.el5
publican-fedora-0.18-0.el5

How reproducible:
Always.

Steps to Reproduce:
1. create_book --name=blah --brand=fedora
2. create_book --name=blah1 --brand=RedHat
3. for blah1, edit Book_Info.xml so book builds:

<productname>Red Hat Enterprise Linux</productname>
<productnumber>5</productnumber>
<edition>1.0</edition>
<pubsnumber>0</pubsnumber>
  
Actual results:
HTML and HTML single output do not contain a logo.

blah
short descriptor

Edition 0
Logo



blah1
short descriptor

Edition 1.0
Logo 


Expected results:
Appropriate logo image.

Additional info:

I tried editing Book_Info.xml, for example, changing:

<imagedata format='SVG' fileref="Common_Content/images/title_logo.svg" />

to

<imagedata format='SVG' fileref="Common_Content/RedHat/en-US/images/title_logo.svg" />

Still no logo in HTML outputs.
Comment 1 Murray McAllister 2009-04-03 22:14:59 EDT
The NoScript plug-in was blocking this. please close.

Note You need to log in before you can comment on or make changes to this bug.